# std::reverse_iterator<Iter>::operator*,->

From cppreference.com
< cpp‎ | iterator‎ | reverse iterator

| (1) |
reference operator*() const; |  | (until C++17)
constexpr reference operator*() const; |  | (since C++17)
| (2) |
pointer operator->() const; |  | (until C++17)
constexpr pointer operator->() const; |  | (since C++17)

Returns a reference or pointer to the element previous to `current`.

1) Equivalent to Iter tmp = current; return *--tmp;
2) Equivalent to std::addressof (operator*()).

### Parameters

(none)

### Return value

Reference or pointer to the element previous to `current`.

### Example

| This section is incomplete Reason: no example

### See also

operator[] | accesses an element by index (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/reverse_iterator/operator*&oldid=106623"